=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Adam Borowski <kilobyte@angband.pl>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
 Mark Hindley <leepen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libcrypt-dev,
 libselinux1-dev [linux-any],
 po4a,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/slicer69/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils | sysvinit-utils-antix,
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 molly-guard (<< 0.8.3~),
 bfh-container (<< 20211009-24~),
 progress-linux-container (<< 20221002-12~),
Breaks:
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Suggests:
 bootlogd,
Recommends:
 orphan-sysvinit-scripts,
Description: System-V-like init
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: lsb-base (<< 11.3~)
Provides: lsb-base (= 11.1.0)
Replaces: lsb-base
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 init-d-script, fstab-decode, killall5, pidof
 .
 It also contains the library scripts sourced by init-d-script and other
 initscripts that were formerly in lsb-base.

Package: sysv-rc
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 insserv,
 startpar (>= 0.62-1~),
 sysvinit-utils  | sysvinit-utils-antix,
 ${misc:Depends},
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 sysvinit-utils | sysvinit-utils-antix,
 sysv-rc | file-rc | openrc,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
 util-linux-extra,
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 sysvinit-utils | sysvinit-utils-antix,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: plymouth
Breaks: manpages-fr (<< 4.15.0-9~),
Replaces: manpages-fr (<< 4.15.0-9~),
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

Package: sysvinit-init-antix
Section: init-diversity
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | openrc,
 sysvinit-utils | sysvinit-utils-antix,
 bootlogd,
 init-diversity-tools,
 grub-init-diversity,
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 orphan-sysvinit-scripts,
 runit-init-antix,
 openrc-init-antix,
 s6-rc-init-antix,
 s6-66-rc-init-antix,
 dinit-init-antix,
Replaces:
 lib-sysvinit-init,
 sysvinit-core,
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
Breaks:
 lib-sysvinit-init,
Description: System-V-like init
 This package allows sysvinit to co-exist with other init systems in a
 Debian system allowing the user to choose which init to boot.
 .
 The most important program in the package is /lib/sysvinit/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it
 .
 This is a metapackage to simplify installation requirements for sysvinit 
 to be run in a multi-init configuration. It automatically installs the 
 grub-init-diversity & init-diversity-tools packages which provide support for
 the grub menus & compatibility symlinks (shutdown, halt, reboot, poweroff) 
 that are expected by desktop environments and other system tools for various
 inits including sysvinit.
