=== debian/changelog ===
sysvinit (3.15-5) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Tue, 21 Oct 2025 08:25:58 +0100

sysvinit (3.15-4) experimental; urgency=medium

  * Don't test for existing logfile before running logsave(8).
    (Closes: #1106830)
  * umountfs: recursively umount tmpfs. (Closes: #704108)
  * umountnfs: recursively umount network filesystems. (Closes: #444262)
  * /etc/init.d/rc: also set opost to avoid staircase effect.
    (Closes: #617249)

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Oct 2025 08:40:20 +0100

sysvinit (3.15-3) experimental; urgency=medium

  * Update inittab on new installations to use ids consistent with
    inittab(5). (Closes: #538257)
  * Deprecate forcefsck. (Closes: #686895)
  * d/control: add Depends login (no longer Essential). (Closes: #1116288)
  * Only create .tmpfs if mount has been successful. (Closes: #719249)
  * Remove all obsolete commented AC checking code. See #326647 and
    related for discussion.
  * d/copyright: remove old FSF address (lintian).
  * d/copyright: update upstream contact and URL.

 -- Mark Hindley <leepen@debian.org>  Wed, 08 Oct 2025 09:59:57 +0100

sysvinit (3.15-2) experimental; urgency=medium

  * Update inittab on new installations to assume 8bit clean environment.
    (Closes: #435287)
  * Emphasise that /etc/fstab overrides /etc/default/tmpfs. (Closes: #688412)  
  * init-d-script:
    - Support TYPE=oneshot. (Closes: #1108969)
    - comply with style guidelines.
  * Add rcS option EXTRAKERNELFS and framework to support mounting
    additional kernel filesystems. Currently supported options are debugfs
    and cgroupfs2. (Closes: #539352)

 -- Mark Hindley <leepen@debian.org>  Tue, 23 Sep 2025 08:29:46 +0100

sysvinit (3.15-1) experimental; urgency=medium

  * New upstream version 3.15
  * d/src/README.style: add recommended initscript style.
  * d/src: comply with recommended style. (Closes: #922423)
  * init-d-script.5: document that /etc/default/$NAME environment is not
    available in script top-level. (Closes: #931867)
  * d/control, d/watch: update following upstream  migration to codeberg.

 -- Mark Hindley <leepen@debian.org>  Tue, 09 Sep 2025 13:40:37 +0100
